[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.DropTarget

True if the node is a drop target in a drag and drop operation.

## Declaration

Source position: comctrls.pp line 3153

`public property TTreeNode.DropTarget : Boolean read GetDropTarget write SetDropTarget;`

## Description

DropTarget is a Boolean property which indicates if the node is a drop target in a drag and drop operation. The value for the property is True when nsDropHilited has been included in the States property.

Setting a new value for the property causes States to be updated to reflect the new value. When set to True, nsDropHilited is included in State and the internal last drop target is updated in the associated TreeView control. When set to False, nsDropHilited is excluded from States and the last drop target is set to Nil in the TreeView control.